image Candy(
image Input=0,
image Background=0,
float edgeBlur=25.7,
float edgeThickness=-4.5,
float lightAngle=135,
float specular=1,
float surfaceType=0.5,
float backLighting=.3,
float redIn=0.9928255,
float greenIn=1,
float blueIn=0.4269381,
float alphaIn=0.74,
float redOut=1,
float greenOut=0.008183539,
float blueOut=0.06551413,
float alphaOut=1,
int useShadow=1,
float shadowX=Input.dod[0]+20,
float shadowY=Input.dod[1]-20,
float shadowFuzziness=3.3,
float shadowOpacity=0.6,
int clipMode = 0
)
{
    Bytes1 = Bytes(Input,Input.bytes<2?2:Input.bytes);
    Blur2 = Blur(Bytes1 , 14.1, xPixels, 0, "gauss", xFilter, "rgba");
    EdgeThicknessDilate = DilateErode(Input, "rgba", edgeThickness, 
        xPixels, 0, 0, 0);
    InnerColor = Mult(Input, redIn, greenIn, blueIn, alphaIn, 1);
    OuterColor = Mult(Input, redOut, greenOut, blueOut, alphaOut, 
        1);
    EdgeThicknessBlur = Blur(EdgeThicknessDilate, edgeBlur, xPixels, 
        0, "gauss", xFilter, "rgba");


EmbossDepth2 = Emboss(Blur2, 60.8, EmbossDepth.azimuth-180, 30);
GlassMetalKey2 = LumaKey(EmbossDepth2, 0.462, 1, 0, 0, 0);
Solarize2 = Solarize(EmbossDepth2, 0.9, 0);
MultBack = Mult(Solarize2, redOut+backLighting,greenOut+backLighting, blueOut+backLighting);
Inside3 = Inside(MultBack, GlassMetalKey2, 1);
Inside4 = Inside(Inside3, Input, 1);






    EmbossDepth = Emboss(Blur2, 72.9, lightAngle, 30);
    GlassMetalKey = LumaKey(EmbossDepth, surfaceType, 1, 0, 0, 0);
    KeyMix1 = KeyMix(OuterColor, InnerColor, EdgeThicknessBlur, 1, 
        "A", 100, 0);
    Solarize1 = Solarize(EmbossDepth, 0.7, 0);
    IDisplace1 = IDisplace(Background, KeyMix1, alphaIn==1&&alphaOut==1?0:13.3, xScale, 0, 
        xDOffset, "G", "R", 0, xDelta);
    Inside1 = Inside(Solarize1, GlassMetalKey, 1);
    Blur3 = Blur(IDisplace1, 14.6, xPixels, 0, "gauss", xFilter, 
        "rgba");
    Inside2 = Inside(Inside1, Input, 1);

IAdd2 = IAdd(Inside2, Inside4, 1, 50);

    Bright1=Brightness(IAdd2,specular);
    IAdd1 = IAdd(KeyMix1, Bright1, 1, 100);
    Mask(Blur3, Input, "A", 100, 0, 1);
    MMult1 = MMult(IAdd1, 0);

DropShadow1 = DropShadow(MMult1, shadowFuzziness, 0.01, 0.02, 0.05, shadowOpacity);
PanShad = Pan(DropShadow1,shadowX-Input.dod[0],shadowY-dod[1]);
Inside3 = Inside(PanShad, Background, 1);
Under1 = Under(Inside3, MMult1, 1, 0, 0);



    SelectShadow = Select(useShadow+1, MMult1, Under1, 0, 0);
    Over1 = Over(SelectShadow, Blur3, clipMode , 0, 0);
	Bytes2 = Bytes(Over1,Input.bytes);
    
    return Bytes2 ;
}

