image KeyChew(
image Input=0,
float chew=0,
float soften=0,
int matteMult=0
)
{
FgBytes2 = Bytes(Input, 2);
Invert3 = Invert(FgBytes2, "a");
Select1 = Select(chew>=0?1:2, FgBytes2, Invert3, 0, 0);
FgEdgeBlur2 = Blur(Select1, abs(chew), xPixels, 1, "gauss", xFilter, 
    "a");
FgEdgeMult2 = Mult(FgEdgeBlur2, 1, 1, 1, max(FgEdgeBlur2.xPixels*1.5,1), 
    1);
FgEdgeGamma3 = Gamma(FgEdgeMult2, 1, rGamma, rGamma, JSplineV(abs(chew),1,1@0,0.95@5,0.8@10,0.5@20,0.3@40,0.2@80,0.1@200));
ISub1 = ISub(FgBytes2, FgEdgeGamma3, 1, 100);
Clamp1 = Clamp(ISub1, 0, rLo, rLo, 0, 1, rHi, rHi, 1);
Select2 = Select(Select1.branch, FgEdgeGamma3, Clamp1, 0, 0);
BlurResult = Blur(Select2,soften,soften,1);
Bytes1 = Bytes(BlurResult, Input.bytes);
SwitchMatte2 = SwitchMatte(Input, Bytes1, 1, "A", matteMult, 0);


    return SwitchMatte2 ;
}

