image Slate(
image Input=0, 
const char * shotName="Shot", 
const char * showName="Show", 
const char * imageOutName=":MyFileOutNode.imageName", 
int slateFrameNumber=0,
int stampFrame = 1
)
{
curve float scaleX=Input.width/720;
curve float scaleY=Input.height/486;

    BlackBg = Color(720*scaleX, 486*scaleY, 1, 0, 0, 0, 0, 0);
	Ramp1 = Ramp(166*scaleX, 486*scaleY, 1, 0, 0.8, 0, 0.096, 0.101, 1, 0, 1, 1, 1, 1, 0);
	Text1 = Text(720*scaleX, 486*scaleY, 1, "%f", "Courier", 100*scaleX, xFontScale, 1, width/2, height/2, 0, 2, 2, 1, 1, 1, 1, 0, 0, 0, 45);
	AText1 = AddText(BlackBg, "Shot:\nShow:\nFrames:\nDate:\nAnimator:\nScript:\nHost:\nFileOutName:", "Arial Italic", 26*scaleX, xFontScale, 1.3, 160.785*scaleX, 349.58*scaleY, 0, 3, 0, 1, 0.749, 0, 1, 0, 0, 0, 45);
	AddShadow1 = AddShadow(AText1 , 12.4*scaleX, -9.8*scaleY, 14, 0.01, 0.02, 0.05, .93);
	Over2 = Over(AddShadow1, Ramp1, 0, 0);
	AddText2 = AddText(Over2, "{shotName}\n{showName}\n{script.timeRange}\n%D, %M. %d\n%U\n{scriptName}\n%H\n{imageOutName}", "Times New Roman", AText1.xFontScale, xFontScale, AText1.leading, 175.219*scaleX, AText1.yPos, 0, 0, 0, 1, 1, 1, 1, 0, 0, 0, 45);
	Select1 = Select(time<=slateFrameNumber?1:2,AddText2,Input);
 	AddText1 = AddText(Select1 , "%F", "Courier", 31.9*scaleX, xFontScale, 1, 40.4*scaleX, 24.5*scaleY, 0, 2, 2, 1, 1, 1, 1, 0, 0, 0, 45);
     return  Select(stampFrame +1, Select1 , AddText1);
}
