image TileExample(
	image In=0, 
	int xTile=3, 
	int yTile=3,
	float angle=0,
	float xScale=1,
	float yScale=1,
	float random=30,
	float frequency=10
)
{
result = Black(In.width, In.height, In.bytes);
curve float xFactor=(In.width/xTile)*.5;
curve float yFactor=(In.height/yTile)*.5;
for (int rows=1; rows<=yTile; ++rows){
	for (int cols=1; cols<=xTile; ++cols){

	Move2D1 = Move2D(In,
	-width/2+xFactor+((cols-1)*xFactor*2)+
	(turbulence(time+(cols+1)*(rows+1),frequency)-.5)*random,
	-height/2+yFactor+((rows-1)*yFactor*2)+
	(turbulence(time+(cols+1)/(rows+1),frequency)-.5)*random,
	angle, 1,
	1.0/xTile*xScale, 1.0/yTile*yScale
	); 
	result=Over(Move2D1,result);
	}  
  }    
  return result;
}

