image AltIcon(
image In=0,
const char *text="Something",
float offset=0,
float fontScale=1
)
{
//This is a macro specifically for AltIcons
image BoxPRW(
	int width=GetDefaultWidth(),
   int height=GetDefaultHeight(),
	int bytes=1,
	float red=0.7529,
	float green=0.7529,
	float blue=0.7529,
	float alpha=1,
	int hollowCenter=1,
   int thickness = 10,
	int left=width/5,
	int right=width-width/5,
	int bottom=height/5,
	int top=height-height/5,
	image In=0,
	int clipMode=0,
	string compMode="Over",
	float xPixels=0,
	float yPixels=0
)
{
    curve int pick=compMode=="Over"?1:
	compMode=="Under"?2:
	compMode=="Inside"?3:4;
    Color2 = Color(width, height, bytes, red, green, blue, alpha, 0);
    InnerColor1 = Color(width, height, bytes, 1, red, red, 1, 0);
    SetDOD1 = SetDOD(Color2, left, right, bottom, top);
    SetDOD2 = SetDOD(InnerColor1, SetDOD1.left+thickness, SetDOD1.right-thickness, 
        SetDOD1.bottom+thickness, SetDOD1.top-thickness);
    ISub1 = ISub(SetDOD1, SetDOD2, 1, 100);
    Select1 = Select(hollowCenter+1, SetDOD1, ISub1, 0, 0);
    Blur1=Blur(Select1,xPixels,yPixels,1);
    Over1=Over(Blur1,In,clipMode);
    Under1=Under(Blur1,In,clipMode);
    Inside1=Inside(In,Blur1,clipMode);
    Outside1=Outside(In,Blur1,clipMode);

    Select2 = Select(pick,Over1,Under1,Inside1,Outside1);
}



    Box2 = BoxPRW(1300, 260, 1, 1, 1, 1, 1, 0, 10, Box3.left+10, Box3.right-10, 
        Box3.bottom+10, Box3.top-10, 0, 1, "Over", 0, 0);
    Box3 = BoxPRW(1300, 260, 1, .3, .3, .3, 1, 0, 10, 0, 250, 10, 250, 0, 
        0, "Over", 0, 0);
//    Color1 = Color(1300, 260, 1, 0.7499996, red, red, 1, 0);
    Color1 = Color(1300, 260, 1, 0.22, red, red, 1, 0);
    Text1 = Text(130, 26, 1, text, "Arial Bold", 15*fontScale, 15, 
        1, 28+offset, 15, 0, 1, 2, 0.98, 1, 0.96, 1, 0, 0, 0, 45);
    AddShadow1 = AddShadow(Box3, 9, -7, 94.5, 0.01, 0.02, 0.05, 0.6);
    Brightness1 = Brightness(Text1, .75);
    Inside1 = Inside(In, Box2, 1);
    Box1 = BoxPRW(1300, 260, 1, 1, 1, 1, 1, 0, 10, Box3.left+10, Box3.right-10, 
        Box3.bottom+10, Box3.top-10, AddShadow1, 1, "Over", 0, 0);
    Over1 = Over(Box1, Color1, 1, 0, 0);
    Over2 = Over(Inside1, Over1, 1, 0, 0);
    Zoom1 = Zoom(Over2, 0.1, xScale, "box", 0);
    Relief1 = Relief(Text1, Zoom1, 1, 4.173, 135, 30, 7.8, 0, 75);
    Under1 = Under(Relief1, Brightness1, 1, 0, 0);
    SetAlpha1 = SetAlpha(Under1, 0);
    
    return SetAlpha1;
}

