image ColorGrade(
image In=0,
float loRI=0,
float loGI=0,
float loBI=0,
float loRO=loRI,
float loGO=loGI,
float loBO=loBI,
float midRI=.5,
float midGI=.5,
float midBI=.5,
float midRO=midRI,
float midGO=midGI,
float midBO=midBI,
float hiRI=1,
float hiGI=1,
float hiBI=1,
float hiRO=hiRI,
float hiGO=hiGI,
float hiBO=hiBI,
int useMidPoint=1,
float redOffset=0,
float greenOffset=0,
float blueOffset=0,
float redGain=1,
float greenGain=1,
float blueGain=1

)
{

Lookup1 = Lookup(In, 
	useMidPoint==1?CSplineV(x,1,
		loRO*redGain+redOffset@loRI,
		midRO*redGain+redOffset@midRI,
		hiRO*redGain+redOffset@hiRI
	):CSplineV(x,1,
		loRO*redGain+redOffset@loRI,
		hiRO*redGain+redOffset@hiRI
	),  	
	useMidPoint==1?CSplineV(x,1,
		loGO*greenGain+greenOffset@loGI,
		midGO*greenGain+greenOffset@midGI,
		hiGO*greenGain+greenOffset@hiGI
	):CSplineV(x,1,
		loGO*greenGain+greenOffset@loGI,
		hiGO*greenGain+greenOffset@hiGI
	),
	useMidPoint==1?CSplineV(x,1,
		loBO*blueGain+blueOffset@loBI,
		midBO*blueGain+blueOffset@midBI,
		hiBO*blueGain+blueOffset@hiBI
	):CSplineV(x,1,
		loBO*blueGain+blueOffset@loBI,
		hiBO*blueGain+blueOffset@hiBI
	),

	CSplineV(x,1,0@0,1@1)
    );
 
    return Lookup1 ;
}

