//Peter Warner
//Nov 1, 2001

/*
extern "nrfx.dll" image NGLRender(
int		width,
int		height,
int		bytes,
const char	*expr
);
*/

image Ramp2D(
	int width = GetDefaultWidth(),
	int height = GetDefaultHeight(),
	int wedgeSize = width/10,
	float alpha1 =0,
	float alpha2 = 1,
	float pos1X = width/3,
	float pos1Y = height/3,
	float pos2X = width*.66,
	float pos2Y = height*.66
)
{
	return Crop(Reorder(NGLRender(
	width, height, 1,
	"
// initial calculations
	curve float a= atan2d(pos1Y-pos2Y, pos1X-pos2X);
	curve float dist = distance(pos2X,pos2Y, pos1X, pos1Y);
	curve float maxwidth = distance(0,0,width,height)*2.5;

//Position
      nglPushMatrix();
		//nglTranslatef(-pos1X,-pos1Y,0.0f);
		nglRotatef(a ,0.0f,0.0f,1.0f);
		nglTranslatef(pos2X,pos2Y,0.0f);		

	for(int i=-maxwidth/2 ;i<=maxwidth/2;i=i+wedgeSize )
	{
//main ramp poly
	nglBegin(NGL_POLYGON);
		nglColor4f(alpha2,alpha2,alpha2,alpha2);
		nglVertex2f(0,i);
		nglColor4f(alpha1,alpha1,alpha1,alpha1);
		nglVertex2f(dist,i);
		nglVertex2f(dist, i+wedgeSize );
		nglColor4f(alpha2,alpha2,alpha2,alpha2);
		nglVertex2f(0, i+wedgeSize );
	nglEnd();

//color1 extender
	nglBegin(NGL_POLYGON);
		nglColor4f(alpha1,alpha1,alpha1,alpha1);
		nglVertex2f(dist,i+wedgeSize );
		nglVertex2f(maxwidth ,i+wedgeSize );
		nglVertex2f(maxwidth , i);
		nglVertex2f(dist, i);
	nglEnd();

//color2 extender
	nglBegin(NGL_POLYGON);
		nglColor4f(alpha2,alpha2,alpha2,alpha2);
		nglVertex2f(-maxwidth ,i+wedgeSize );
		nglVertex2f(0,i+wedgeSize );
		nglVertex2f(0,i);
		nglVertex2f(-maxwidth , i);
	nglEnd();
	}
      nglPopMatrix();

	"
  ),"aaaa"));
}


