image Relief(image BumpSource=0, image Image2=0,
		int affect=0,
		float depth=20,
		float lightDirection=135,
		float lightHeight=30,
		float detail=20,
		float sharpness=10,
		float mix=100,
)
{
	Bytes1 = Bytes(BumpSource, 2);
	DetailControl = Blur(Bytes1, detail, xPixels, 1, "gauss", "gauss", "rgba");
	Emboss1 = Emboss(DetailControl, depth, lightDirection, lightHeight);
	SharpnessControl = Blur(Emboss1, sharpness, xPixels, 1, "gauss", "gauss", "rgba");
	Bytes2 = Bytes(SharpnessControl, 4);
	Brightness1A = Brightness(Bytes2, 2);
	IMult1 = IMult(BumpSource, Brightness1A, 1, mix, 0);
	IMult2 = IMult(Image2, Brightness1A, 0, mix, 0);
	Bytes3 = Bytes(IMult1, BumpSource.bytes);
	Bytes4 = Bytes(IMult2, Image2.bytes);
	SwitchMatte1A = SwitchMatte(Bytes3, BumpSource, 0, "a", 0, 0);
	SwitchMatte2A = SwitchMatte(Bytes4, Image2, 0, "a", 0, 0);
	Select11 = Select(affect+1, SwitchMatte1A, SwitchMatte2A, 0, 0);
}
