image RoundButton(image in, string outputType, float amount=1)
{

curve myselecter = 
	outputType == "Up" ? 1 :
	outputType == "UpFocus" ? 2 :
	outputType == "Down" ? 3 : 4;


RGrad1 = RGrad(30, 30, 1, width/2, height/2, 1, min(width,height)/4, 5.657, 0.5, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0);
RGrad2 = RGrad(30, 30, 1, width/2, height/2, 1, 10.43858, 3.9, 0.5, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0);
RGrad3 = RGrad(30, 30, 1, width/2, height/2, 1, 10.43858, 3.9, 0.5, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0);
round_button2 = FileIn("//Blur/D/tremor_icons/scr_viewer/pix/round_button.iff", "Auto", 0);
Brightness3 = Brightness(round_button2, 1.128);
Scale1 = Scale(Brightness3, 1.088, xScale, width/2, height/2, 0, 0.5, 0);
Rotate1 = Rotate(Scale1, 180, 1, width/2, height/2, 0, 0.5, 0);
Pan2 = Pan(in, 1, -1, 0, 0.5, 0);
Relief3 = Relief(in, Brightness3, 1, 1.104*amount, -59.9, 30, 0, 0, 75);
Relief4 = Relief(in, 0, 0, 15.568*amount, 135, 30, 20, 10, 75);
Over4 = Over(Relief4, Relief3, 1, 0, 0);
Relief5 = Relief(Pan2, Rotate1, 1, 0.784*amount, -60, 30, 0, 0, 75);
Relief6 = Relief(Pan2, 0, 0, 15.568*amount, 135, 30, 20, 10, 75);
Over2 = Over(Over4, Brightness3, 1, 0, 0);
Over6 = Over(Relief6, Relief5, 1, 0, 0);
Over3 = Over(Over6, Rotate1, 1, 0, 0);
Reorder4 = Reorder(Over2, "rgbn");
Reorder5 = Reorder(Over3, "rgbn");
Mult2 = Mult(Reorder5, 0.99, 0.995, 0.995, 1, 1);
Mult1 = Mult(Reorder4, 0.988, 0.994, 0.996, 1, 1);
Gamma2 = Gamma(Mult1, 1.4, rGamma, rGamma, 1);
Gamma3 = Gamma(Mult2, 1.4, rGamma, rGamma, 1);
Mask1 = Mask(Rotate1, RGrad1, "A", 100, 0, 1);
Mask2 = Mask(Gamma2, RGrad2, "A", 100, 0, 1);
Mask3 = Mask(Gamma3, RGrad3, "A", 100, 0, 1);
return Select(myselecter,Mult1,Gamma2,Mult2,Gamma3);
}

