image VidResize(
image In=0,
int keepAspect=1,	//keeps aspect ratio or not
int vidFormat=0, 	//This select NTSC (0) or PAL (1) res	
float bgRed=0,		//if keeping aspect ratio, determines
float bgGreen=0,	//the bg color
float bgBlue=0
)
{
    curve int yRes = vidFormat==0?486:576;
    Fit1 = Fit(In, 720, yRes, "default", xFilter, 1);
    Resize1 = Resize(In, 720, yRes, "default", 0);
    SetBGColor1 = SetBGColor(Fit1, "rgbaz", 
	bgRed, bgGreen, bgBlue, 0,0
    );
    Select1 = Select(keepAspect, Resize1, SetBGColor1, 0, 0);
    
    return Select1;
}

